javax.jms

## Interface XATopicConnectionFactory

- All Superinterfaces:
    ConnectionFactory, TopicConnectionFactory, XAConnectionFactory
  All Known Implementing Classes:
    XATopicConnectionFactory

      public interface XATopicConnectionFactory
      extends XAConnectionFactory, TopicConnectionFactory

  An `XATopicConnectionFactory` provides the same create options as a `TopicConnectionFactory` (optional).

  The `XATopicConnectionFactory` interface is optional. JMS providers are not required to support this interface. This interface is for use by JMS providers to support transactional environments. Client programs are strongly encouraged to use the transactional support available in their environment, rather than use these XA interfaces directly.

  Since:
    JMS 1.0
  See Also:
    `TopicConnectionFactory`, `XAConnectionFactory`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `XATopicConnection` | `createXATopicConnection()` Creates an XA topic connection with the default user identity.
    `XATopicConnection` | `createXATopicConnection(String userName, String password)` Creates an XA topic connection with the specified user identity.

    - ### Methods inherited from interface javax.jms.XAConnectionFactory

      `createXAConnection, createXAConnection, createXAContext, createXAContext`

    - ### Methods inherited from interface javax.jms.TopicConnectionFactory

      `createTopicConnection, createTopicConnection`

    - ### Methods inherited from interface javax.jms.ConnectionFactory

      `createConnection, createConnection, createContext, createContext, createContext, createContext`

- - ### Method Detail

    - #### createXATopicConnection

          XATopicConnection createXATopicConnection()
                                                    throws JMSException

      Creates an XA topic connection with the default user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
      Returns:
        a newly created XA topic connection
      Throws:
        `JMSException` - if the JMS provider fails to create an XA topic connection due to some internal error.
        `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

    - #### createXATopicConnection

          XATopicConnection createXATopicConnection(String userName,
                                                  String password)
                                                    throws JMSException

      Creates an XA topic connection with the specified user identity. The connection is created in stopped mode. No messages will be delivered until the `Connection.start` method is explicitly called.
      Parameters:
        `userName` - the caller's user name
        `password` - the caller's password
      Returns:
        a newly created XA topic connection
      Throws:
        `JMSException` - if the JMS provider fails to create an XA topic connection due to some internal error.
        `JMSSecurityException` - if client authentication fails due to an invalid user name or password.

Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.